org.apache.tapestry5.internal.services

## Class CheckForUpdatesFilter

- java.lang.Object
- - org.apache.tapestry5.internal.services.CheckForUpdatesFilter

- All Implemented Interfaces:
    RequestFilter

      public class CheckForUpdatesFilter
      extends Object
      implements RequestFilter

  Implements a barrier that periodically asks the `UpdateListenerHub` to check for updates to files. The UpdateListenerHub is invoked from a write method, meaning that when it is called, all other threads will be blocked.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckForUpdatesFilter(UpdateListenerHub updateListenerHub, long checkInterval, long updateTimeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `service(Request request, Response response, RequestHandler handler)` Returns true if the request has been handled, false otherwise.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckForUpdatesFilter

          public CheckForUpdatesFilter(UpdateListenerHub updateListenerHub,
                                       @Symbol(value="tapestry.file-check-interval") @IntermediateType(value=TimeInterval.class)
                                       long checkInterval,
                                       @Symbol(value="tapestry.file-check-update-timeout") @IntermediateType(value=TimeInterval.class)
                                       long updateTimeout)

      Parameters:
        `updateListenerHub` - invoked, at intervals, to spur the process of detecting changes
        `checkInterval` - interval, in milliseconds, between checks
        `updateTimeout` - time, in milliseconds, to wait to obtain update lock.

  - ### Method Detail

    - #### service

          public boolean service(Request request,
                                 Response response,
                                 RequestHandler handler)
                          throws IOException

      Description copied from interface: `RequestFilter`
      Returns true if the request has been handled, false otherwise.
      Specified by:
        `service` in interface `RequestFilter`
      Throws:
        `IOException`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.